List step executions for a specified execution
curl --request GET \
--url https://app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/steps \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/steps"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch('https://app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 123,
"offset": 123,
"total": 123,
"results": [
{
"action": "<string>",
"async_subflow_execution_ids": [
"<string>"
],
"billed_state_counts": {},
"cmd_id": "<string>",
"continue_on_error": true,
"created_at": 123,
"created_by": "<string>",
"error_caught": true,
"error_data": "<string>",
"evaluated_expressions": {},
"execution_count": 123,
"execution_id": "<string>",
"finished_at": 123,
"id": "<string>",
"input_parameters": {},
"original_output": "<string>",
"output_data": "<string>",
"parent_step_ids": [
"<string>"
],
"response_type": 123,
"runner": "<string>",
"runner_cluster_version": "<string>",
"runner_group_id": "<string>",
"runner_version": "<string>",
"started_at": 123,
"state": "<string>",
"step_id": "<string>",
"subflow_execution_id": "<string>",
"subflow_id": "<string>",
"sync_subflow_execution_ids": [
"<string>"
],
"tenant_id": "<string>",
"timeout": 123,
"updated_at": 123,
"updated_by": "<string>"
}
]
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Executions
List step executions for a specified execution
API endpoint to list all step executions for a specified workflow execution.
GET
/
workspace
/
{ws_id}
/
executions
/
{id}
/
steps
List step executions for a specified execution
Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
The ID of the workspace containing the execution
The ID of the playbook execution contains the step executions
Was this page helpful?
⌘I